# VTs API

API wrapper for accessing vulnerability test (VT) metadata from the openvasd HTTP API.

class VtsAPI

  Provides access to the openvasd /vts endpoints.

  This includes retrieving the list of all available vulnerability tests as well as fetching detailed information for individual VTs by OID.

  get(oid)

    Retrieve detailed information about a specific VT by OID.

    This corresponds to a GET request to /vts/{oid}.

    Parameters:

      oid (str) – The OID (object identifier) of the vulnerability test.

    Returns:

      The full httpx.Response containing VT metadata for the given OID.

    Raises:

      httpx.HTTPStatusError – If the server returns a non-success status and exceptions are not suppressed.

    Return type:

      Response

    See: GET /vts/{id} in the openvasd API documentation.

  get_all()

    Retrieve the list of all available vulnerability tests (VTs).

    This corresponds to a GET request to /vts.

    Returns:

      The full httpx.Response containing a JSON list of VT entries.

    Raises:

      httpx.HTTPStatusError – If the server returns a non-success status and exceptions are not suppressed.

    Return type:

      Response

    See: GET /vts in the openvasd API documentation.